package com.pcloud.book.group.vo;

import java.util.List;

/**
 * @描述：查询参数
 * @作者：zhuyajie
 * @创建时间：9:59 2019/9/29
 * @版本：1.0
 */
public class BookGroupAnalysisParam {

    /**
     * 当前页
     */
    private  Integer currentPage;
    /**
     *每页数量
     */
    private Integer numPerPage;
    /**
     *书id
     */
    private List<Long> bookIds;
    /**
     *出版社id
     */
    private List<Long> agentIds;
    /**
     *编辑id
     */
    private List<Long> adviserIds;
    /**
     *统计月份
     */
    private String monthDate;
    /**
     *是否基金支持
     */
    private Boolean isFundSupport;
    /**
     *是否版权保护
     */
    private Boolean isCopyright;

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public List<Long> getBookIds() {
        return bookIds;
    }

    public void setBookIds(List<Long> bookIds) {
        this.bookIds = bookIds;
    }

    public List<Long> getAgentIds() {
        return agentIds;
    }

    public void setAgentIds(List<Long> agentIds) {
        this.agentIds = agentIds;
    }

    public List<Long> getAdviserIds() {
        return adviserIds;
    }

    public void setAdviserIds(List<Long> adviserIds) {
        this.adviserIds = adviserIds;
    }

    public String getMonthDate() {
        return monthDate;
    }

    public void setMonthDate(String monthDate) {
        this.monthDate = monthDate;
    }

    public Boolean getIsFundSupport() {
        return isFundSupport;
    }

    public void setIsFundSupport(Boolean isFundSupport) {
        this.isFundSupport = isFundSupport;
    }

    public Boolean getIsCopyright() {
        return isCopyright;
    }

    public void setIsCopyright(Boolean isCopyright) {
        this.isCopyright = isCopyright;
    }

    @Override
    public String toString() {
        return "BookGroupAnalysisParam{" +
                "currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                ", bookIds=" + bookIds +
                ", agentIds=" + agentIds +
                ", adviserIds=" + adviserIds +
                ", monthDate='" + monthDate + '\'' +
                ", isFundSupport=" + isFundSupport +
                ", isCopyright=" + isCopyright +
                '}';
    }
}
